Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.tutorial.step2
Class Tutorial_2

    java.lang.Object
      com.skype.tutorial.step2.Tutorial_2

    public class Tutorial_2

extends java.lang.Object

Getting Started With SkypeKit: Tutorial Application, Step 2. This example illustrates a simple SkypeKit-based program that:

1. Takes a Skype Name, password, and optional AppToken path name as command-line arguments
2. Initiates login for that user
3. Waits until the login process is complete
4. Retrieves a list of Conversation objects
5. Retrieves the display name (`displayname`) property of each Conversation
6. Retrieves multiple properties of the Conversation using the GetxyzProperty methods
7. Initiates logout
8. Waits until logout is complete
9. Cleans up and exits

Since:
  1.0
Author:
  Andrea Drane (ported/refactored from existing C++ tutorial code)

Field Summary
`static int` | `ACCOUNT_NAME_IDX` Index of the account name in the command line argument list.
`static int` | `ACCOUNT_PWORD_IDX` Index of the account password in the command line argument list.
`static int` | `APPTOKEN_FILE_IDX` Index of the optional AppToken text file pathname in the command line argument list, which is always last.
`static java.lang.String` | `MY_CLASS_TAG` Info/Debug console output message prefix/identifier tag.
`private static AppToken` | `myAppToken`
`private static MySession` | `mySession`
`private static Tutorial_2` | `myTutorial` "Extraneous" instance of this tutorial so we can invoke our business logic method from `main(String[])` without having to declare it as being "static".
`static int` | `OPT_ARG_CNT` Number of optional arguments in the command line argument list.
`static java.lang.String[]` | `participantNames` List of target participants.
`static int` | `REQ_ARG_CNT` Number of required arguments in the command line argument list.

Constructor Summary
`Tutorial_2()`

Method Summary
`(package private) void` | `doConversation(MySession mySession)` Finds and list conversations List the display name of my conversations associated with the participants listed in `participantNames`. List the type and display name of all my conversations.
`static void` | `main(java.lang.String[] args)` Main loop

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### participantNames

    public static final java.lang.String[] participantNames

  List of target participants. Manually edit this list and re-compile this class to search for conversations involving other participants.

  Since:
    1.0

### MY_CLASS_TAG

    public static final java.lang.String MY_CLASS_TAG

  Info/Debug console output message prefix/identifier tag. Corresponds to class name.

  Since:
    1.0
  See Also:
    Constant Field Values

### ACCOUNT_NAME_IDX

    public static final int ACCOUNT_NAME_IDX

  Index of the account name in the command line argument list.

  Since:
    1.0
  See Also:
    Constant Field Values

### ACCOUNT_PWORD_IDX

    public static final int ACCOUNT_PWORD_IDX

  Index of the account password in the command line argument list.

  Since:
    1.0
  See Also:
    Constant Field Values

### REQ_ARG_CNT

    public static final int REQ_ARG_CNT

  Number of required arguments in the command line argument list.

  Since:
    1.0
  See Also:
    Constant Field Values

### OPT_ARG_CNT

    public static final int OPT_ARG_CNT

  Number of optional arguments in the command line argument list.

  Since:
    1.0
  See Also:
    Constant Field Values

### APPTOKEN_FILE_IDX

    public static final int APPTOKEN_FILE_IDX

  Index of the optional AppToken text file pathname in the command line argument list, which is always last.

  Since:
    1.0
  See Also:
    Constant Field Values

### myAppToken

    private static AppToken myAppToken

### mySession

    private static MySession mySession

### myTutorial

    private static Tutorial_2 myTutorial

  "Extraneous" instance of this tutorial so we can invoke our business logic method from `main(String[])` without having to declare it as being "static".

  Since:
    1.0

Constructor Detail

### Tutorial_2

    public Tutorial_2()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Main loop

  Parameters:
    `args` -
    1. Name of the target Skype account.
    2. Password for the target Skype account.
    3. Optional pathname of a text file containing an AppToken string.
  Since:
    1.0

### doConversation

    void doConversation(MySession mySession)

  Finds and list conversations
  1. List the display name of my conversations associated with the participants listed in `participantNames`.
  2. List the type and display name of all my conversations.

  Parameters:
    `mySession` - Populated session object
  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD